Skip to main content
GET
https://checkout.dintero.com/v1
/
admin
/
terminals
/
operations
admin_terminals_operations_get
curl --request GET \
  --url https://checkout.dintero.com/v1/admin/terminals/operations \
  --header 'Authorization: Bearer <token>'
[
  {
    "parameters": {
      "operator_id": "<string>"
    },
    "result": {
      "outcome": "accepted",
      "batch_id": "<string>",
      "start_of_day_at": "2023-11-07T05:31:56Z",
      "last_end_of_day_at": "2023-11-07T05:31:56Z",
      "purchases_count": 123,
      "purchases_amount": 123,
      "reversals_count": 123,
      "reversals_amount": 123,
      "sale_amount": 123,
      "tip_amount": 123
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Query Parameters

terminal_id
string

Filter operations by terminal identifier.

operation_id
string<uuid>

Filter by operation identifier.

Response

Terminal operations

Terminal operation. The shape depends on the operation field.

parameters
object

Parameters of the operation.

result
object

Present when status is COMPLETED.

Last modified on May 12, 2026